hurdletest {pscl} | R Documentation

## Testing for the Presence of a Zero Hurdle

### Description

Wald test of the null hypothesis that no zero hurdle is required in hurdle regression models for count data.

### Usage

    hurdletest(object, ...)

### Arguments

`object` | A fitted model object of class `"hurdle"` as returned by `hurdle`, see details for more information.
`...` | arguments passed to `linearHypothesis`.

### Details

If the same count distribution and the same set of regressors is used in the hurdle model for both, the count component and the zero hurdle component, then a test of pairwise equality between all coefficients from the two components assesses the null hypothesis that no hurdle is needed in the model.

The function `hurdletest` is a simple convenience interface to the function `linearHypothesis` from the car packages that can be employed to carry out a Wald test for this hypothesis.

### Value

An object of class `"anova"` as returned by `linearHypothesis`.

### Author(s)

Achim Zeileis <Achim.Zeileis@R-project.org>

### References

Cameron, A. Colin and Pravin K. Trivedi. 1998. Regression Analysis of Count Data. New York: Cambridge University Press.

Cameron, A. Colin and Pravin K. Trivedi 2005. Microeconometrics: Methods and Applications. Cambridge: Cambridge University Press.

### See Also

`hurdle`, `linearHypothesis`

### Examples

    data("bioChemists", package = "pscl")
    fm <- hurdle(art ~ ., data = bioChemists, dist = "negbin", zero = "negbin")
    hurdletest(fm)

[Package pscl version 1.5.2 Index]